Bug 359571 - System fails with BUG: unable to handle kernel paging request
System fails with BUG: unable to handle kernel paging request
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 23:14 EDT by Harold Pritchett
Modified: 2008-01-16 12:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 12:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of sysreport (6.81 MB, application/x-bzip2)
2007-10-30 23:14 EDT, Harold Pritchett
no flags Details

  None (edit)
Description Harold Pritchett 2007-10-30 23:14:33 EDT
Description of problem:

Systems hangs after running for 1 to 5 days with following messages:

BUG: unable to handle kernel paging request at virtual address 00018708
 printing eip:
c048b0d6
*pde = 06938067
*pte = 00000000
Oops: 0000 [#1]
SMP 
last sysfs file: /class/vc/vcsa2/dev
Modules linked in: autofs4 sunrpc ipv6 dm_multipath raid1 floppy snd_ens1371
gameport snd_rawmidi snd_ac97_codec ac97_bus snd_seq_dummy snd_seq_oss
snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer tulip snd soundcore snd_page_alloc dmfe iTCO_wdt i2c_i801
iTCO_vendor_support i2c_core sr_mod cdrom sg dm_snapshot dm_zero dm_mirror
dm_mod ata_generic ata_piix libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd
ohci_hcd uhci_hcd
CPU:    0
EIP:    0060:[<c048b0d6>]    Not tainted VLI
EFLAGS: 00010202   (2.6.22.9-91.fc7 #1)
EIP is at clear_inode+0x9b/0x11a
eax: 00018704   ebx: dce10668   ecx: f7fe3f08   edx: f7fe3000
esi: dce107a0   edi: 00000035   ebp: f7fe3f08   esp: f7fe3ee0
ds: 007b   es: 007b   fs: 00d8  gs: 0000  ss: 0068
Process kswapd0 (pid: 88, ti=f7fe3000 task=f7c38600 task.ti=f7fe3000)
Stack: 00000035 dce10668 dce10670 c048b3ab dce2fe28 00000000 00000080 00000080 
       c048b59e 00000080 dce10480 d3ce1290 0000846c f7ffd060 00000083 000000d0 
       c0464c83 00000000 00004fd2 000027e9 00635100 00000000 00635100 00038da1 
Call Trace:
 [<c048b3ab>] dispose_list+0x33/0xb1
 [<c048b59e>] shrink_icache_memory+0x175/0x19d
 [<c0464c83>] shrink_slab+0xd5/0x134
 [<c0464ff5>] kswapd+0x297/0x3f2
 [<c0438749>] autoremove_wake_function+0x0/0x35
 [<c0464d5e>] kswapd+0x0/0x3f2
 [<c0438682>] kthread+0x38/0x5e
 [<c043864a>] kthread+0x0/0x5e
 [<c0405b6b>] kernel_thread_helper+0x7/0x10
 =======================
Code: 00 00 00 89 f0 c7 04 24 02 00 00 00 e8 9d 02 18 00 f6 83 40 01 00 00 20 75
2e 8b 83 9c 00 00 00 85 c0 74 24 8b 40 24 85 c0 74 1d <8b> 50 04 85 d2 74 16 83
bb fc 00 00 00 00 75 09 83 bb 00 01 00 
EIP: [<c048b0d6>] clear_inode+0x9b/0x11a SS:ESP 0068:f7fe3ee0

Version-Release number of selected component (if applicable):

[harold@mickey ~]$ uname -a
Linux mickey.halshome.net 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 23:10:59 EDT 2007
i686 i686 i386 GNU/Linux

How reproducible:

Fails every few days.  Systems hangs and requires a reset to get it back up


Steps to Reproduce:
1. Run the system
2.
3.
  
Actual results:


Expected results:


Additional info:

[root@mickey ~]# lspci -vv
00:00.0 Host bridge: Intel Corporation 82845 845 (Brookdale) Chipset Host Bridge
(rev 03)
        Subsystem: Tyan Computer Unknown device 1a30
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort+ >SERR- <PERR-
        Latency: 0
        Region 0: Memory at e0000000 (32-bit, prefetchable) [size=64M]
        Capabilities: [e4] Vendor Specific Information
        Capabilities: [a0] AGP version 2.0
                Status: RQ=32 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW+ AGP3- Rate=x1,x2,x4
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit- FW- Rate=<none>

00:01.0 PCI bridge: Intel Corporation 82845 845 (Brookdale) Chipset AGP Bridge
(rev 03) (prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: e4000000-e5ffffff
        Prefetchable memory behind bridge: d0000000-dfffffff
        Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ <SERR- <PERR-
        BridgeCtl: Parity- SERR+ NoISA+ VGA+ MAbort- >Reset- FastB2B-

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 12) (prog-if 00
[Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: e6000000-e7ffffff
        Prefetchable memory behind bridge: 50000000-500fffff
        Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- <SERR- <PERR+
        BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-

00:1f.0 ISA bridge: Intel Corporation 82801BA ISA Bridge (LPC) (rev 12)
        Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0

00:1f.1 IDE interface: Intel Corporation 82801BA IDE U100 Controller (rev 12)
(prog-if 80 [Master])
        Subsystem: Intel Corporation Unknown device 2442
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable)
[disabled] [size=8]
        Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable)
[disabled] [size=1]
        Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable)
[disabled] [size=8]
        Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable)
[disabled] [size=1]
        Region 4: I/O ports at f000 [size=16]

00:1f.2 USB Controller: Intel Corporation 82801BA/BAM USB Controller #1 (rev 12)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation 82801BA/BAM USB Controller #1
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin D routed to IRQ 5
        Region 4: I/O ports at b000 [size=32]

00:1f.3 SMBus: Intel Corporation 82801BA/BAM SMBus Controller (rev 12)
        Subsystem: Intel Corporation Unknown device 2442
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin B routed to IRQ 9
        Region 4: I/O ports at 0500 [size=16]

00:1f.4 USB Controller: Intel Corporation 82801BA/BAM USB Controller #1 (rev 12)
(prog-if 00 [UHCI])
        Subsystem: Intel Corporation Unknown device 2442
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin C routed to IRQ 11
        Region 4: I/O ports at b800 [size=32]

01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QL [Radeon
8500 LE] (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Radeon R200 QL [Radeon 8500 LE]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 5
        Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
        Region 1: I/O ports at 9000 [size=256]
        Region 2: Memory at e5000000 (32-bit, non-prefetchable) [size=64K]
        [virtual] Expansion ROM at e4000000 [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
                Status: RQ=48 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64- HTrans-
64bit- FW+ AGP3- Rate=x1,x2,x4
                Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP- GART64- 64bit- FW- Rate=<none>
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:09.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02)
        Subsystem: Ensoniq Creative SoundBlaster AudioPCI 128
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 32 (3000ns min, 32000ns max)
        Interrupt: pin A routed to IRQ 9
        Region 0: I/O ports at a000 [size=64]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

02:0a.0 Ethernet controller: Davicom Semiconductor, Inc. 21x4x DEC-Tulip
compatible 10/100 Ethernet (rev 31)
        Subsystem: Unknown device 4554:434e
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR+
        Latency: 32 (5000ns min, 10000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at a400 [size=256]
        Region 1: Memory at e7000000 (32-bit, non-prefetchable) [size=256]
        [virtual] Expansion ROM at 50000000 [disabled] [size=256K]
        Capabilities: [50] Power Management version 1
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

[root@mickey ~]# lsmod
Module                  Size  Used by
autofs4                24773  2 
sunrpc                161981  1 
ipv6                  277957  49 
dm_multipath           21961  0 
raid1                  26305  1 
floppy                 58661  0 
snd_ens1371            28769  0 
gameport               19017  1 snd_ens1371
snd_rawmidi            26817  1 snd_ens1371
snd_ac97_codec         96613  1 snd_ens1371
ac97_bus                6465  1 snd_ac97_codec
snd_seq_dummy           7877  0 
snd_seq_oss            33473  0 
snd_seq_midi_event     11073  1 snd_seq_oss
snd_seq                50609  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         11981  4 snd_rawmidi,snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            43457  0 
snd_mixer_oss          19521  1 snd_pcm_oss
snd_pcm                74949  3 snd_ens1371,snd_ac97_codec,snd_pcm_oss
snd_timer              24901  2 snd_seq,snd_pcm
snd                    53317  10
snd_ens1371,snd_rawmidi,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
tulip                  53473  0 
soundcore              11681  1 snd
dmfe                   24797  0 
snd_page_alloc         14281  1 snd_pcm
iTCO_wdt               14693  0 
iTCO_vendor_support     7877  1 iTCO_wdt
i2c_i801               12369  0 
i2c_core               27841  1 i2c_i801
sr_mod                 20837  0 
cdrom                  37089  1 sr_mod
sg                     37469  0 
dm_snapshot            21093  0 
dm_zero                 6209  0 
dm_mirror              25153  0 
dm_mod                 56833  23 dm_multipath,dm_snapshot,dm_zero,dm_mirror
ata_generic            11589  0 
ata_piix               18757  4 
libata                118321  2 ata_generic,ata_piix
sd_mod                 31297  7 
scsi_mod              140749  4 sr_mod,sg,libata,sd_mod
ext3                  125641  9 
jbd                    59881  1 ext3
mbcache                12485  1 ext3
ehci_hcd               35405  0 
ohci_hcd               23877  0 
uhci_hcd               27089  0 
[root@mickey ~]# cat /proc/meminfo
MemTotal:      1035088 kB
MemFree:         36464 kB
Buffers:         57068 kB
Cached:         692568 kB
SwapCached:         80 kB
Active:         504284 kB
Inactive:       439920 kB
HighTotal:      131008 kB
HighFree:         3548 kB
LowTotal:       904080 kB
LowFree:         32916 kB
SwapTotal:     2097144 kB
SwapFree:      2097052 kB
Dirty:             300 kB
Writeback:           0 kB
AnonPages:      194516 kB
Mapped:          34048 kB
Slab:            42364 kB
SReclaimable:    27124 kB
SUnreclaim:      15240 kB
PageTables:       3024 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   2614688 kB
Committed_AS:   503052 kB
VmallocTotal:   114680 kB
VmallocUsed:      6872 kB
VmallocChunk:   107384 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     4096 kB
[root@mickey ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Pentium(R) 4 CPU 1.60GHz
stepping        : 4
cpu MHz         : 1597.321
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm up
bogomips        : 3196.91
clflush size    : 64

[root@mickey ~]# uname -a
Linux mickey.halshome.net 2.6.22.9-91.fc7 #1 SMP Thu Sep 27 23:10:59 EDT 2007
i686 i686 i386 GNU/Linux
[root@mickey ~]#
Comment 1 Harold Pritchett 2007-10-30 23:14:34 EDT
Created attachment 244041 [details]
output of sysreport
Comment 2 Christopher Brown 2008-01-15 22:28:03 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Harold Pritchett 2008-01-16 12:17:57 EST
This was never resolved.  The hardware in question is no longer running this
version of linux so I have no way to test to see if it has been resolved with
the latest kernel.

Note You need to log in before you can comment on or make changes to this bug.